# Class GetXmrTxsReply

#### Hierarchy

- unknown
  - GetXmrTxsReply

- Defined in src/protobuf/grpc_pb.d.ts:3108
- Defined in src/protobuf/grpc_pb.d.ts:3122

#####
Index

### Constructors

constructor

### Methods

addTxs
clearTxsList
getTxsList
serializeBinary
setTxsList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetXmrTxsReply(): GetXmrTxsReply

- #### Returns GetXmrTxsReply

  Inherited from jspb.Message.constructor

## Methods

### addTxs

- addTxs(value?: XmrTx, index?: number): XmrTx

- #### Parameters

  - ##### `Optional` value: XmrTx

  - ##### `Optional` index: number

  #### Returns XmrTx

  - Defined in src/protobuf/grpc_pb.d.ts:3112

### clearTxsList

- clearTxsList(): GetXmrTxsReply

- #### Returns GetXmrTxsReply

  - Defined in src/protobuf/grpc_pb.d.ts:3111

### getTxsList

- getTxsList(): XmrTx[]

- #### Returns XmrTx[]

  - Defined in src/protobuf/grpc_pb.d.ts:3109

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3114

### setTxsList

- setTxsList(value: XmrTx[]): GetXmrTxsReply

- #### Parameters

  - ##### value: XmrTx[]

  #### Returns GetXmrTxsReply

  - Defined in src/protobuf/grpc_pb.d.ts:3110

### toObject

- toObject(includeInstance?: boolean): GetXmrTxsReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetXmrTxsReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3115

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetXmrTxsReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetXmrTxsReply

  - Defined in src/protobuf/grpc_pb.d.ts:3118

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetXmrTxsReply, reader: BinaryReader): GetXmrTxsReply

- #### Parameters

  - ##### message: GetXmrTxsReply

  - ##### reader: BinaryReader

  #### Returns GetXmrTxsReply

  - Defined in src/protobuf/grpc_pb.d.ts:3119

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetXmrTxsReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetXmrTxsReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3117

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetXmrTxsReply): GetXmrTxsReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetXmrTxsReply

  #### Returns GetXmrTxsReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3116

Generated using TypeDoc